## net.sf.statsvn.input
Class CacheConfiguration

    java.lang.Object
      net.sf.statsvn.input.CacheConfiguration

    public class CacheConfiguration

extends Object

Class for storing all constants required for reading the cache xml file.

Author:
  Gunter Mussbacher <gunterm@site.uottawa.ca>

Field Summary
`protected static String` `ADDED`
`protected static String` `BINARY`
`protected static String` `BINARY_STATUS`
`protected static String` `CACHE`
`protected static String` `LATEST_REVISION`
`protected static String` `NAME`
`protected static String` `NOT_BINARY`
`protected static String` `NUMBER`
`protected static String` `PATH`
`protected static String` `PROJECT`
`protected static String` `REMOVED`
`protected static String` `REVISION`
`protected static String` `UNKNOWN`
`static String` `XML_VERSION`

Constructor Summary
`CacheConfiguration()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADDED

    protected static final String ADDED

See Also:
  Constant Field Values

### BINARY_STATUS

    protected static final String BINARY_STATUS

See Also:
  Constant Field Values

### BINARY

    protected static final String BINARY

See Also:
  Constant Field Values

### CACHE

    protected static final String CACHE

See Also:
  Constant Field Values

### LATEST_REVISION

    protected static final String LATEST_REVISION

See Also:
  Constant Field Values

### NAME

    protected static final String NAME

See Also:
  Constant Field Values

### NOT_BINARY

    protected static final String NOT_BINARY

See Also:
  Constant Field Values

### NUMBER

    protected static final String NUMBER

See Also:
  Constant Field Values

### PATH

    protected static final String PATH

See Also:
  Constant Field Values

### REMOVED

    protected static final String REMOVED

See Also:
  Constant Field Values

### REVISION

    protected static final String REVISION

See Also:
  Constant Field Values

### UNKNOWN

    protected static final String UNKNOWN

See Also:
  Constant Field Values

### PROJECT

    protected static final String PROJECT

See Also:
  Constant Field Values

### XML_VERSION

    public static final String XML_VERSION

See Also:
  Constant Field Values

Constructor Detail

### CacheConfiguration

    public CacheConfiguration()